import request from "@/utils/request";

/**
 * 分析概览
 * @param query
 * @returns {AxiosPromise}
 */
export function analysisPreview(query) {
  return request({
    url: '/index/statistics/analysisPreview',
    method: 'post',
    data: query
  })
}

/**
 * 数据概览
 * @param query
 * @returns {AxiosPromise}
 */
export function dealerAggregated() {
  return request({
    url: '/index/statistics/dealerAggregated',
    method: 'get',
    params: {}
  })
}


/**
 * 数据概览
 * @param query
 * @returns {AxiosPromise}
 */
export function smsBalance() {
  return request({
    url: '/index/statistics/smsBalance',
    method: 'get',
    params: {}
  })
}

/**
 * 授权信息
 * @returns {*}
 */
export function authorizationInfo() {
  return request({
    url: '/index/statistics/authorizationInfo',
    method: 'get',
    params: {}
  })
}
